Bug 1290779 - [tiering]: Performing a gluster vol reset, turns off 'features.ctr-enabled' on a tiered volume
Summary: [tiering]: Performing a gluster vol reset, turns off 'features.ctr-enabled' o...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: hari gowtham
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard: tier-glusterd
Depends On:
Blocks: 1309659
TreeView+ depends on / blocked
 
Reported: 2015-12-11 12:34 UTC by krishnaram Karthick
Modified: 2018-11-08 18:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1309659 (view as bug list)
Environment:
Last Closed: 2018-11-08 18:58:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description krishnaram Karthick 2015-12-11 12:34:02 UTC
Description of problem:

Performing a gluster vol reset, turns off 'features.ctr-enabled'. For a tiered, 'features.ctr-enabled' is enabled by default. So, gluster volume reset on a tiered volume shouldn't turn off 'features.ctr-enabled'


Version-Release number of selected component (if applicable):
glusterfs-3.7.5-10.el7rhgs.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create a tiered volume
2. check if 'features.ctr-enabled' is turned on by doing a gluster vol info
3. Do a 'gluster vol reset <vol name>'
4. check if 'features.ctr-enabled' is turned on by doing a gluster vol info

Actual results:
features.ctr-enabled is turned off

Expected results:
features.ctr-enabled has to be on

Additional info:
If this change in 'features.ctr-enabled' go unnoticed, no promotion/demotion would happen

Comment 2 krishnaram Karthick 2015-12-11 12:42:36 UTC
sosreports can be found here --> http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/1290779/

Comment 8 hari gowtham 2017-09-06 12:05:37 UTC
patch on master: https://review.gluster.org/#/c/13470/

Comment 10 hari gowtham 2018-11-08 18:58:29 UTC
As tier is not being actively developed, I'm closing this bug. Feel free to open it if necessary.


Note You need to log in before you can comment on or make changes to this bug.